%define api	0.1
%define major	1
%define libname	%mklibname visio %{api} %{major}
%define devname	%mklibname visio -d

Name:		libvisio
Version:	0.1.1
Release:	%mkrel 3
Summary:	A library providing ability to interpret and import visio diagrams
Group:		System/Libraries
License:	GPL+ or LGPLv2+ or MPLv1.1
URL:		http://www.freedesktop.org/wiki/Software/libvisio
Source0:	http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.xz
Patch0:		libvisio-0.0.27-automake-1.13.patch
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	gperf
BuildRequires:	help2man
BuildRequires:	perl
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(zlib)

%description
Libvisio is library providing ability to interpret and import visio
diagrams into various applications. You can find it being used in
libreoffice.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Development files for %{name}
Group:		System/Libraries

%description -n %{libname}
Libvisio is library providing ability to interpret and import visio
diagrams into various applications. You can find it being used in
libreoffice.

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}
%{_libdir}/%{name}-%{api}.so.%{major}.*

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%{_includedir}/%{name}-%{api}
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#--------------------------------------------------------------------

%package doc
Summary: Documentation of %{name} API
Group:   Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%files doc
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/html/

#--------------------------------------------------------------------

%package tools
Summary: Tools to transform Visio diagrams into other formats
Group:   Publishing

%description tools
Tools to transform Visio diagrams into other formats.
Currently supported: XHTML, raw.

%files tools
%{_bindir}/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
./autogen.sh
%configure2_5x --disable-static --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make


%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Thu Feb 05 2015 tv <tv> 0.1.1-3.mga4
+ Revision: 813580
- drop bogus obsolete tags
- branch
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.1.1-1.mga5
+ Revision: 812835
- BR pkgconfig(cppunit)
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 739344
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 681844
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.1.0-2.mga5
+ Revision: 658594
- bump major
- new release

* Sat Apr 05 2014 wally <wally> 0.0.31-4.mga5
+ Revision: 611841
- fix lib and devel pkg names
- rebuild for new icu

* Mon Oct 21 2013 umeabot <umeabot> 0.0.31-3.mga4
+ Revision: 537308
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 fwang <fwang> 0.0.31-2.mga4
+ Revision: 486768
- rebuild for icu 52

* Thu Aug 29 2013 luigiwalser <luigiwalser> 0.0.31-1.mga4
+ Revision: 473089
- 0.0.31

* Sat Jul 13 2013 luigiwalser <luigiwalser> 0.0.30-1.mga4
+ Revision: 453924
- 0.0.30

* Mon Jul 08 2013 fwang <fwang> 0.0.29-2.mga4
+ Revision: 451180
- rebuild for new boost

* Thu Jul 04 2013 luigiwalser <luigiwalser> 0.0.29-1.mga4
+ Revision: 450021
- 0.0.29

* Sat Jun 08 2013 fwang <fwang> 0.0.28-1.mga4
+ Revision: 440404
- new version 0.0.28

* Sun May 26 2013 fwang <fwang> 0.0.27-2.mga4
+ Revision: 427973
- rebuild for new icu

* Thu May 23 2013 fwang <fwang> 0.0.27-1.mga4
+ Revision: 425495
- new version 0.0.27

* Sat Jan 12 2013 umeabot <umeabot> 0.0.24-2.mga3
+ Revision: 358358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 0.0.24-1.mga3
+ Revision: 338449
- fix for automake 1.13
- 0.0.24

* Thu Nov 08 2012 fwang <fwang> 0.0.20-1.mga3
+ Revision: 316316
- update file list
- use autogen
- fix linkage
- br libxml
- br gperf
- new version 0.0.20

* Tue Oct 16 2012 malo <malo> 0.0.19-2.mga3
+ Revision: 307333
- update RPM group

* Sun Sep 02 2012 fwang <fwang> 0.0.19-1.mga3
+ Revision: 287250
- update file list
- new version 0.0.19

* Fri Jun 01 2012 fwang <fwang> 0.0.17-1.mga3
+ Revision: 252683
- new version 0.0.17

* Mon Mar 05 2012 fwang <fwang> 0.0.15-1.mga2
+ Revision: 218361
- new version 0.0.15

  + dmorgan <dmorgan>
    - imported package libvisio

